import 'package:syncrow_app/features/booking_system/domain/booking_model.dart';
import 'package:syncrow_app/features/booking_system/domain/booking_service.dart';

class BookingDummySource implements BookingService {
  @override
  Future<List<BookingModel>> get() async {
    await Future.delayed(Duration(seconds: 2));
    return [
      BookingModel(
        uuid: 'uuid1',
        roomName: 'roomName1',
        date: 'wed 28th May 2025',
        timeSlot: '10:30 AM - 11:30 AM',
        cost: 4,
      ),
      BookingModel(
        uuid: 'uuid2',
        roomName: 'roomName2',
        date: 'wed 28th May 2025',
        timeSlot: '10:30 AM - 11:30 AM',
        cost: 6,
      ),
      BookingModel(
        uuid: 'uuid3',
        roomName: 'roomName3',
        date: 'thur 2th june 2025',
        timeSlot: '10:30 AM - 1:30 PM',
        cost: 10,
      )
    ];
  }
}
